Bug 1021923 - Kickstart File Preservation is not possible to remove - http 405
Kickstart File Preservation is not possible to remove - http 405
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
560
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jan Dobes
Ales Dujicek
:
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-10-22 06:33 EDT by Pavel Studeník
Modified: 2015-01-13 04:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:54:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Studeník 2013-10-22 06:33:47 EDT
Description of problem:
I create kickstart file preservation in webUI and I can't delete it. I got error message HTTP status 405.

Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-46.el6sat.noarch

How reproducible:
always 

Steps to Reproduce:
1. create kickstart file preservation in webUI: 
   Systems -> Kickstart -> File Preservation -> click "create new file preservation list"
2. remove this record in webUI
   Systems -> Kickstart -> File Preservation -> [choose some record] -> click "delete file preservation list kickstart"

Actual results:
page: /rhn/systems/provisioning/preservation/PreservationListDeleteSubmit.do?setupdated=true&items_selected=1&dispatch=Delete+File+List

HTTP Status 405 - description The specified HTTP method is not allowed for the requested resource ().

Expected results:
File preservation list was removed

Additional info:
I found same problem on Satellite 5.5 and 5.6
Comment 1 Jan Dobes 2013-11-21 06:23:54 EST
fixed in spacewalk master:

8a8b77a89bfa8ab5218f8c73bd8e01b2b40bd22a
Comment 2 Ales Dujicek 2014-11-26 08:57:40 EST
Verified.

spacewalk-java-2.3.8-76

1) create File Preservation
2) delete it
no errors
Comment 3 Clifford Perry 2015-01-13 04:54:43 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.